Subject: [sfc] draft-quinn-sfc-arch-04

From: Weixinpeng <[email-masked]>
Date: Wed, 12 Mar 2014 08:37:51 +0000

Hi Paul,
I read through your draft-quinn-sfc-arch-04, and I am a bit of confused about some of your definitions,
An SFF receives packets from a SFC Network Forwarder and forwards the traffic to
       the required associated SF(s).
SNF is responsible for forwarding traffic flows along the SFPs they belong to based on
       information contained in the SFC encapsulation.

So can I interpret this as follows: SNF forwards flows based on SFP ID in the encap to another SNF or SFF, and SFF forwards
flows to SF based on information other than SFP ID in the encap? If so what information could be utilized by SFF, and could you
show an example; if my understanding is not correct, how can we distinguish SFF and SNF?

For the definition of SF, you say
"...SF send/receive SFC encapsulated data from one or more Service
       Function Forwarders."
I am not sure why a SF needs to connect to more than one SFF, so could you explain it or give an example?

Thanks!

BR,
Xinpeng